Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.datarepository
Class DataAccessorFactory

    java.lang.Object
      com.rsa.authagent.authapi.datarepository.DataAccessorFactory

Direct Known Subclasses:
  FileDataAccessorFactory

    public abstract class DataAccessorFactory

extends java.lang.Object

This is base Data Accessor factory, which is abstract class that is inherited and implemented by different concrete data Accessor factory to support different storage access.

Constructor Summary
`DataAccessorFactory()`

Method Summary
`static DataAccessorFactory` | `getDataAccessorFactory(java.lang.String storage)`
`abstract ACEServerDataObject` | `getDataResource(java.lang.String dataresource)` This is abstract method and must be implemented by different concrete data Accessor factory.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataAccessorFactory

    public DataAccessorFactory()

Method Detail

### getDataResource

    public abstract ACEServerDataObject getDataResource(java.lang.String dataresource)

  This is abstract method and must be implemented by different concrete data Accessor factory.

  Parameters:
    `resource` - The name of data resource
  Returns:
    A concrete ACEServerObject implemention

### getDataAccessorFactory

    public static DataAccessorFactory getDataAccessorFactory(java.lang.String storage)

  Parameters:
    `storage` - The type of Storage
  Returns:
    A concrete Data Accessor Factory implemention such as FileDataAccessorFactory
  See Also:
    `StorageType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.